> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tokens



## OpenAPI

````yaml api-reference/openapi-cards.json GET /digital_wallet_token
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Cards
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /digital_wallet_token:
    get:
      tags:
        - Digital Wallet Tokens
      summary: List Tokens
      parameters:
        - description: The ID of the card object the token is associated with. Filterable.
          in: query
          name: card_id
          schema:
            type: string
        - description: >-
            The status of the token. One of: `active`, `requested`,
            `request_declined`, `suspended`, `terminated`. Filterable.
          in: query
          name: status
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - card_id: card_11h5w1kwp9sabc
                        created_at: '2023-08-03T15:33:19Z'
                        device:
                          device_id: 01230BDB794680012340018761933446E55590AA589D5E19
                          ip_address: 71.00.00.01
                          location: 40.00/-73.00
                          name: iPhone
                          phone_number: '1234'
                          type: mobile_phone
                        fulfillment:
                          status: provisioned
                        id: dwt_11jcqme11p6yabc
                        status: active
                        token_service_provider:
                          network: mastercard
                          pan_reference_id: FAPLMC00002647919b243196787642308f0e123f4e6a9ac2
                          token_pan_last4: '9123'
                          token_reference_id: DAPLMC0000264791b80d3526c86242dd854bf8345a4e3a12
                          token_requestor_id: '50110030273'
                          token_requestor_name: apple_pay
                        updated_at: '2023-08-03T15:33:20Z'
              schema:
                properties:
                  data:
                    items:
                      properties:
                        card_id:
                          description: >-
                            The ID of the card object the token is associated
                            with. Filterable.
                          type: string
                        created_at:
                          description: Timestamp of when the object was created
                          type: string
                        device:
                          description: >-
                            An object that defines additional fields for the
                            device that initiated tokenization
                          properties:
                            device_id:
                              description: A unique identifier of the device
                              type: string
                            ip_address:
                              description: The IP address of the device
                              type: string
                            location:
                              description: >-
                                Approximate latitude and longitude coordinates
                                of the device
                              type: string
                            name:
                              description: Name of the device
                              type: string
                            phone_number:
                              description: >-
                                The last four numbers of the device's telephone
                                number
                              type: string
                            type:
                              description: >-
                                The type of the device. Can be one of
                                `mobile_phone`, `watch`, `tablet`, `unknown`
                              type: string
                          type: object
                        fulfillment:
                          description: >-
                            An object that defines additional fields for
                            fulfillment of the token
                          properties:
                            status:
                              description: >-
                                One of: `decision_green`, `decision_yellow`,
                                `provisioned`, `rejected`
                              type: string
                          type: object
                        id:
                          description: Unique identifier for object
                          type: string
                        status:
                          description: >-
                            The status of the token. One of: `active`,
                            `requested`, `request_declined`, `suspended`,
                            `terminated`. Filterable.
                          type: string
                        token_service_provider:
                          description: >-
                            An object that defines additional fields for
                            requestor of the token
                          properties:
                            network:
                              description: >-
                                The card network the tokenization occurred on.
                                Can be one of `visa`, `mastercard`, or `unknown.
                              type: string
                            pan_reference_id:
                              description: A unique identifier of digital wallet token PAN
                              type: string
                            token_pan_last4:
                              description: Last 4 of the digital wallet token PAN
                              type: string
                            token_reference_id:
                              description: >-
                                The unique identifier of the digital wallet
                                token
                              type: string
                            token_requestor_id:
                              description: >-
                                Unique numerical identifier of the digital
                                wallet token requestor within the card network.
                                These IDs map to a `token_requestor_name`
                              type: string
                            token_requestor_name:
                              description: >-
                                Name of the token requestor within the card
                                network
                              type: string
                          type: object
                        updated_at:
                          description: Timestamp of when the object was updated
                          type: string
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` digital_wallet_token elements, starting after the
            digital_wallet_token described by `page_cursor`. If no more
            digital_wallet_tokens are available, the resulting list will be
            empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````